export interface BatteryInfo {
    isCharging: boolean;
    chargePercent: number;
}
export interface BatteryInterface {
    battery: BatteryInfo;
}
export interface BatteryComponentProps {
    state: BatteryInterface;
    color?: string;
}
export declare type BatteryState = BatteryInterface | null;
export declare type BatteryChangeHandler = (state: BatteryState) => void;
export declare type BatterySubscription = () => void;
export interface BatteryModule {
    getCurrentState: () => Promise<BatteryState>;
    addListener: (type: string, handler: Function) => void;
    removeListeners: (type: string, handler: Function) => void;
}
